org.jgroups.logging

## Class JDKLogImpl

- java.lang.Object
- - org.jgroups.logging.JDKLogImpl

All Implemented Interfaces:
  Log

    public class JDKLogImpl
    extends java.lang.Object
    implements Log

Logger that delivers messages to a JDK logger

Since:
  2.8
Author:
  Manik Surtani, Bela Ban

### Constructor Summary

Constructors
Constructor and Description
`JDKLogImpl(java.lang.Class category)`
`JDKLogImpl(java.lang.String category)`

### Method Summary

Methods
`void` `debug(java.lang.String msg)`
`void` `debug(java.lang.String msg, java.lang.Throwable t)`
`void` `error(java.lang.String msg)`
`void` `error(java.lang.String msg, java.lang.Throwable t)`
`void` `fatal(java.lang.String msg)`
`void` `fatal(java.lang.String msg, java.lang.Throwable t)`
`java.lang.String` `getLevel()`
`void` `info(java.lang.String msg)`
`void` `info(java.lang.String msg, java.lang.Throwable t)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isFatalEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`boolean` `isWarnEnabled()`
`void` `setLevel(java.lang.String level)` Sets the level of a logger.
`void` `trace(java.lang.Object msg)`
`void` `trace(java.lang.Object msg, java.lang.Throwable t)`
`void` `trace(java.lang.String msg)`
`void` `trace(java.lang.String msg, java.lang.Throwable t)`
`void` `warn(java.lang.String msg)`
`void` `warn(java.lang.String msg, java.lang.Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDKLogImpl

    public JDKLogImpl(java.lang.String category)

#### JDKLogImpl

    public JDKLogImpl(java.lang.Class category)

### Method Detail

#### isTraceEnabled

    public boolean isTraceEnabled()

Specified by:
  `isTraceEnabled` in interface `Log`

#### isDebugEnabled

    public boolean isDebugEnabled()

Specified by:
  `isDebugEnabled` in interface `Log`

#### isInfoEnabled

    public boolean isInfoEnabled()

Specified by:
  `isInfoEnabled` in interface `Log`

#### isWarnEnabled

    public boolean isWarnEnabled()

Specified by:
  `isWarnEnabled` in interface `Log`

#### isErrorEnabled

    public boolean isErrorEnabled()

Specified by:
  `isErrorEnabled` in interface `Log`

#### isFatalEnabled

    public boolean isFatalEnabled()

Specified by:
  `isFatalEnabled` in interface `Log`

#### trace

    public void trace(java.lang.String msg)

Specified by:
  `trace` in interface `Log`

#### trace

    public void trace(java.lang.Object msg)

Specified by:
  `trace` in interface `Log`

#### debug

    public void debug(java.lang.String msg)

Specified by:
  `debug` in interface `Log`

#### info

    public void info(java.lang.String msg)

Specified by:
  `info` in interface `Log`

#### warn

    public void warn(java.lang.String msg)

Specified by:
  `warn` in interface `Log`

#### error

    public void error(java.lang.String msg)

Specified by:
  `error` in interface `Log`

#### fatal

    public void fatal(java.lang.String msg)

Specified by:
  `fatal` in interface `Log`

#### trace

    public void trace(java.lang.Object msg,
             java.lang.Throwable t)

Specified by:
  `trace` in interface `Log`

#### trace

    public void trace(java.lang.String msg,
             java.lang.Throwable t)

Specified by:
  `trace` in interface `Log`

#### debug

    public void debug(java.lang.String msg,
             java.lang.Throwable t)

Specified by:
  `debug` in interface `Log`

#### info

    public void info(java.lang.String msg,
            java.lang.Throwable t)

Specified by:
  `info` in interface `Log`

#### warn

    public void warn(java.lang.String msg,
            java.lang.Throwable t)

Specified by:
  `warn` in interface `Log`

#### error

    public void error(java.lang.String msg,
             java.lang.Throwable t)

Specified by:
  `error` in interface `Log`

#### fatal

    public void fatal(java.lang.String msg,
             java.lang.Throwable t)

Specified by:
  `fatal` in interface `Log`

#### getLevel

    public java.lang.String getLevel()

Specified by:
  `getLevel` in interface `Log`

#### setLevel

    public void setLevel(java.lang.String level)

Description copied from interface: `Log`
Sets the level of a logger. This method is used to dynamically change the logging level of a running system, e.g. via JMX. The appender of a level needs to exist.

Specified by:
  `setLevel` in interface `Log`
Parameters:
  `level` - The new level. Valid values are "fatal", "error", "warn", "info", "debug", "trace" (capitalization not relevant)